Skip to main content
PATCH
내 정보 수정

인증

Authorization
string
header
필수

Bearer 인증. 액세스 토큰을 Authorization: Bearer <token> 헤더로 전달합니다.

본문

application/json

PATCH /users/me — 본인 수정; id는 본문이 아닌 JWT에서 가져옵니다.

name
string | null

사용자 이름.

Required string length: 3 - 32
password
string | null

사용자의 새 비밀번호.

Minimum string length: 8
preferences
Preferences · object | null

사용자 알림 설정.

응답

성공 응답

사용자 조회 응답 스키마.

created_at
string<date-time>
필수
email
string
필수

사용자 이메일

id
string<uuid>
필수

사용자 ID

is_active
boolean
필수

사용자 활성 여부

role
enum<string>
필수

유저 역할

사용 가능한 옵션:
advertiser,
operator,
admin
updated_at
string<date-time>
필수
budget
number
기본값:0

사용자 예산

credit
number
기본값:0

사용자 크레딧

deleted_at
string<date-time> | null

사용자 소프트 삭제 시각

name
string | null

사용자 이름

no
integer | null
permissions
UserPermission · object

사용자 권한.

preferences
any | null

사용자 환경설정